#!C:/Programme/Perl/bin/
#$Id: processmail.pl,v 2.3 2005/02/15 19:27:51 boris Exp $
#
#
#    
#

    use Getopt::Std;  

$usage = 'processmail.pl $Revision: 2.3 $, $Date: 2005/02/15 19:27:51 $'. "\n".
"Usage: processmail.pl [-d] [-t table_file]  [-o results] \n";

require 'parameters.pl';
require 'subroutines.pl';

die $usage unless getopts('t:o:d');

$DEBUG=$opt_d;


my %teams;
my @answers;
#
#   
#
if ($opt_t)
{
    die "Cannot open $opt_t\n" unless open(INFILE,$opt_t);
    readhash(\@answers);
    close(INFILE);
}

#
#      ޣ
#


$MAXQUEST=1;
for (my $i=1; $i<=$ROUNDS; $i++) {
    if ($MAXQUEST<$MAXQUEST[$i]) {
	$MAXQUEST=$MAXQUEST[$i];
    }
}

for (my $i=1; $i<=$ROUNDS; $i++) {
    foreach my $file (split /\s+/, $FILES[$i]) {
	open (INFILE, $file);
	readmail(\%teams);
	collect_answers(\%teams,\@answers);
	close (INFILE);
    }
}

#
#     .
#
if ($opt_o)
{ 
    die "Cannot open $opt_o\n" unless open(OUTFILE,">$opt_o");
    select OUTFILE;
}
for ($i=1;$i<=$MAXQUEST;$i++)
{
    foreach $symbol ('+','-','?')
    {
	dumphash(\%teams,\@answers,$i,$symbol);
    }
}
print "***\n";


